The BOOST_PP_TUPLE_REM macro expands to a macro that removes the parentheses from a tuple of the specified size.

#### Usage

BOOST_PP_TUPLE_REM(size)

#### Arguments

size
  The size of the tuple from which the parentheses are to be removed. Valid tuple sizes range from 0 to BOOST_PP_LIMIT_TUPLE.

#### Remarks

The size argument must be the actual size of the tuple.

#### See Also

- BOOST_PP_LIMIT_TUPLE

#### Requirements

Header: <boost/preprocessor/tuple/rem.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/rem.hpp>

    BOOST_PP_TUPLE_REM(3)(x, y, z) // expands to x, y, z

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)